import java.util.Arrays;
import java.util.List;

public class StreamsDemo
{
   public static void main(String[] args)
   {
      List<String> birds = Arrays.asList("Robin", "Bluejay", "Penguin", 
                                         "Ostrich", "Canary");
      birds.stream().forEach(System.out::println);
      System.out.println();
      birds.parallelStream().forEach(System.out::println);
      System.out.println();
      birds.parallelStream().forEachOrdered(System.out::println);
   }
}