import java.util.Arrays;
import java.util.List;

public class StreamsDemo
{
   public static void main(String[] args)
   {
      List<String> birds = Arrays.asList("Robin", "Bluejay", "Penguin", 
                                         "Ostrich", "Canary");
      // Employ external iteration.
      for (String bird: birds)
         System.out.println(bird);

      System.out.println();

      // Employ internal iteration.
      birds.stream().forEach(System.out::println);

      System.out.println();

      // Employ internal iteration.
      birds.parallelStream().forEach(System.out::println);
   }
}