import java.util.Arrays;
import java.util.List;

public class StreamsDemo
{
   public static void main(String[] args)
   {
      List<Integer> numbers = Arrays.asList(50, 80, 32, 45);
      int sum = 0;
      for (int x: numbers)
         sum += x;
      System.out.println(sum);
      sum = numbers.stream().reduce(0, (x, y) -> x+y);
      System.out.println(sum);
      sum = numbers.stream().reduce(0, Integer::sum); // sum() is new in Java 8
      System.out.println(sum);
      sum = numbers.parallelStream().reduce(0, Integer::sum);      
      System.out.println(sum);
   }
}